1. Jobs
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
        GET
      • Jobs
        GET
      • Jobs
        POST
      • Jobs
        PATCH
      • Jobs
        DELETE
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Jobs

Jobs

Developing
PATCH
/jobs/{jobID}
In order to make status or stage changes to jobs, you will need to use seperate API's, including /jobs/{jobID}/complete and /jobs/{jobID}/changeStage

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢204Success
Headers

This response does not have a body.
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/jobs/14' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customerContactID": "68",
    "customerContact": {
        "contactID": 5
    },
    "siteContactID": "55",
    "siteContact": {
        "siteContactID": 25,
        "fullName": "Joanna Barrows",
        "mobile": "514-379-4777 x4719",
        "telephone": "(655) 719-3480",
        "email": "Marco95@yahoo.com"
    },
    "description": "[\"Service\"]",
    "notes": "20May 15:25",
    "serviceReminderInstance1ID": -33,
    "serviceReminderInstance2ID": 3,
    "serviceReminderInstance3ID": 21,
    "skills": [
        {
            "id": 22
        },
        {
            "id": 26
        }
    ],
    "customerReference": "amet id",
    "quotedAmount": "4545",
    "priority": "2nd",
    "businessUnitID": 1,
    "userGroupID": 1,
    "assets": [],
    "contactID": 6162,
    "additionalcontactID": 6163,
    "workaddressaccessmethod": "communicate_with_work_address",
    "accessnotes": "access notes"
}'
Response Response Example
401 - Example 1
{
    "error": {
        "code": "string",
        "message": "string"
    }
}
Modified at 2026-07-10 12:42:29
Previous
Jobs
Next
Jobs
Built with